[2.6] newly virsh pod cannot be removed

Bug #1859733 reported by Bui Hong Ha on 2020-01-15
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
Undecided
Unassigned

Bug Description

Maas refuses to remove a virsh pod with following messages were output to regiond.log

---
AttributeError: 'Subnet' object has no attribute '_vlan_cache'

        During handling of the above exception, another exception occurred:
...
            allow_joins=allow_joins, split_subq=split_subq,
          File "/usr/lib/python3/dist-packages/django/db/models/sql/query.py", line 1160, in build_filter
            value, lookups, used_joins = self.prepare_lookup_value(value, lookups, can_reuse, allow_joins)
          File "/usr/lib/python3/dist-packages/django/db/models/sql/query.py", line 1019, in prepare_lookup_value
            if (connections[DEFAULT_DB_ALIAS].features.interprets_empty_strings_as_nulls and
          File "/usr/lib/python3/dist-packages/maasserver/utils/orm.py", line 838, in __getattr__
            "disabled." % threading.currentThread().name)
        RuntimeError: Database connections in this thread (MainThread) are disabled.

I attached the regiond.log file for reference

Bui Hong Ha (telescreen) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments